aboutsummaryrefslogtreecommitdiffstats
path: root/extra-tools/tablegen-test/run.sh
diff options
context:
space:
mode:
authorbloodstalker <thabogre@gmail.com>2018-06-09 23:33:16 +0000
committerbloodstalker <thabogre@gmail.com>2018-06-09 23:33:16 +0000
commite81de6189127845b5cec3e29b0effae5a7a7e7c6 (patch)
tree4d6de042319de82464a3df80c0a2d00c8fb6aaeb /extra-tools/tablegen-test/run.sh
parentmissed the json file for the test (diff)
downloadmutator-e81de6189127845b5cec3e29b0effae5a7a7e7c6.tar.gz
mutator-e81de6189127845b5cec3e29b0effae5a7a7e7c6.zip
the codegen is working now. the generated codes will not be part of the repo for the time being. they will be generated during the build process.
Diffstat (limited to 'extra-tools/tablegen-test/run.sh')
-rwxr-xr-xextra-tools/tablegen-test/run.sh10
1 files changed, 8 insertions, 2 deletions
diff --git a/extra-tools/tablegen-test/run.sh b/extra-tools/tablegen-test/run.sh
index f9eda4d..c70e23b 100755
--- a/extra-tools/tablegen-test/run.sh
+++ b/extra-tools/tablegen-test/run.sh
@@ -1,4 +1,10 @@
#!/usr/bin/bash
cd $(dirname $0)
-../luatablegen.py --tbg ../wasmtablegen.json --out ./ --luaheader ../../bruiser/lua-5.3.4/src --pre ./pre.txt --post ./post.txt
-less ./jmp_s_t_tablegen.h
+../luatablegen.py --tbg ../wasmtablegen.json --out ../../bruiser/luatablegen --luaheader ../../bruiser/lua-5.3.4/src --pre ./wasmheader.txt --headeraggr ../../bruiser/luatablegen/wasm_tables.h --lualibpath ../../bruiser/lua-scripts/wasm.lua
+#../luatablegen.py --tbg ../wasmtablegen.json --out ../../bruiser/luatablegen --luaheader ../../bruiser/lua-5.3.4/src --pre ./wasmheader.txt --singlefile --outfile ../../bruiser/luatablegen/wasmtablegen.h
+for filename in ../../bruiser/luatablegen/*.c; do
+ gcc -c $filename > /dev/null 2>&1
+ if [[ $? != 0 ]]; then
+ echo $filename did not compile.
+ fi
+done